Generation Framework

## org.eclipse.gmf.tooldef
Interface ItemRef

All Superinterfaces:
  EObject, ItemBase, Notifier

All Known Implementing Classes:
  ItemRefImpl

public interface ItemRef
extends ItemBase

A representation of the model object 'Item Ref'.

The following features are supported:

- `Item`

See Also:
  `GMFToolPackage.getItemRef()`
** Generated **
Model:

Method Summary
`ItemBase` `getItem()` Returns the value of the 'Item' reference
`void` `setItem(ItemBase value)` Sets the value of the '`Item`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getItem

    public ItemBase getItem()

  Returns the value of the 'Item' reference.

  If the meaning of the 'Item' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Item' reference.
  See Also:
    `ItemRef.setItem(ItemBase)`, `GMFToolPackage.getItemRef_Item()`
  ** Generated **
  Model:
    required="true"

### setItem

    public void setItem(ItemBase value)

  Sets the value of the '`Item`' reference.

  Parameters:
    `value` - the new value of the 'Item' reference.
  See Also:
    `ItemRef.getItem()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.